Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 286080 - [ms-MY] [Fx] New localization: Malay, Malaysia
: [ms-MY] [Fx] New localization: Malay, Malaysia
Product: Mozilla Localizations
Classification: Client Software
Component: Registration & Management (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Localization Registration Bugs
: 313545 354108 (view as bug list)
Depends on:
Blocks: fx-l10n-ms
  Show dependency treegraph
Reported: 2005-03-14 07:44 PST by kingsnake
Modified: 2012-07-13 14:03 PDT (History)
19 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

Firefox ms-MY (288.30 KB, application/octet-stream)
2007-09-03 10:36 PDT, Mahrazi Mohd Kamal
no flags Details
CVS tree for ms-MY (162.15 KB, application/x-compressed)
2007-11-11 09:04 PST, Mahrazi Mohd Kamal
l10n: review+
CVS tree for ms firefox 3.5b4 (branch-1.9.1) (127.59 KB, application/x-bzip-compressed-tar)
2009-05-11 08:58 PDT, Mahrazi Mohd Kamal
no flags Details
Needs code review (393.84 KB, application/zip)
2012-01-18 22:45 PST, arky [:arky]
hitmanarky: review-
Checked with compare-locales (402.14 KB, application/zip)
2012-01-24 03:49 PST, arky [:arky]
l10n: review+

Description kingsnake 2005-03-14 07:44:20 PST
User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)
Build Identifier: 



Syahrir Mat Ali

Reproducible: Always
Comment 1 Pavel Franc - 2005-05-19 03:22:32 PDT
There is also one registration bug for Malayalam - bug 290869. Is Malayalam
(ml-IN) the same language ? If not and you are still interested in Firefox
localization, please provide the proper language code.

Comment 2 Pavel Franc - 2005-05-19 04:10:03 PDT
Syahrir Mat Ali wrote in email:

it's ms (for malay language) and MY (for Malaysia)
Malay is NOT the same as malayalam.
Comment 3 Axel Hecht 2005-06-30 09:37:25 PDT
Could we get a status update on this locale? We'll be branching for 1.1 late
next week and would like to land new locales until then.

We'd like you to attach your sources to this bug, or the cvs account bug that
has to be filed yet, so that we can review it.
Comment 4 Pavel Franc - 2005-10-26 01:59:51 PDT
*** Bug 313545 has been marked as a duplicate of this bug. ***
Comment 5 ismas 2005-10-27 18:34:33 PDT
(In reply to comment #4)
> *** Bug 313545 has been marked as a duplicate of this bug. ***

I've contacted the previous owner ( but didn't get any reply. Did he submit any localized sources & what is the current status of Malay localization? Can I attach the localized packages of Firefox 1.0.4 & Thunderbird 1.0.2 that we already have now through this bug? We hope to upgrade to the latest version of both Firefox & Thunderbird after we submit those packages. Please advise us on this matter. TQ.
Comment 6 Axel Hecht [:Pike] 2006-09-25 02:36:29 PDT
*** Bug 354108 has been marked as a duplicate of this bug. ***
Comment 7 James Briggs 2006-11-20 00:24:03 PST
Ismas, please upload your translation work. Whatever you have is fine.

I understand there is a size limit, so you may need to make separate chunks.

Thanks, James.
Comment 8 Mahrazi Mohd Kamal 2007-09-03 10:36:07 PDT
Created attachment 279481 [details]
Firefox ms-MY

This localisation tested on Windows XP OS.
Comment 9 Hasbullah Pit 2007-09-22 11:13:29 PDT
Mahrazi, I'm the first Mozilla Translator, but i quit translating mozilla after i've decided to concentrate on GNOME.

Now i've decided to translate firefox just like before, since you have finish the translation, so i think we move to the next step.

get listed, create localized built for linux, mac and Windows, and makan-makan.

please check your email

p/s: my email is , no longer valid.
Comment 10 Axel Hecht [:Pike] 2007-09-25 06:05:13 PDT
Nice to see a collaboration forming here.

We'd need a source localization instead of a language pack for review. The language packs are generated lossy, so there's a bit of additional work needed to revert back.
Some of that work can be done with a tool that Cedric wrote,

Another topic to discuss is the language code, Mozilla prefers short locale names, i.e. ms vs ms-MY, unless there is a good reason to be specific, in particular, if a notably different version of Malay would be spoken in another region.
Comment 11 Hasbullah Pit 2007-09-26 09:10:22 PDT
There are several update.

I and Mahrazi has setup a blog for the team,
And planning to make it official Malay(ms) Team for Mozilla.

For cvs, i propose mahrazi to have the account.

for ms-MY vs ms, we will discuss about it at.

Comment 12 Mahrazi Mohd Kamal 2007-09-26 22:39:21 PDT
Below are the output from the script after selecting toolkit and branch. Zip file are based on folder name.

Comment 13 Mahrazi Mohd Kamal 2007-11-11 09:04:56 PST
Created attachment 288209 [details]
CVS tree for ms-MY

Big thanks to pike & cedric
Comment 14 Axel Hecht [:Pike] 2007-11-12 03:31:11 PST
Comment on attachment 288209 [details]
CVS tree for ms-MY

Putting this on my review list.
Comment 15 Axel Hecht [:Pike] 2007-11-22 09:45:54 PST
Comment on attachment 288209 [details]
CVS tree for ms-MY

Hi all, this attachement is looking good.

Did you settle on ms vs ms-MY yet?

Review nits: The xml files in browser/searchplugins are not needed, just list.txt for now. In browser/profile/bookmarks.html, the link titles should be translated, and the 'en-US' in the links should be replaced with the locale code, i.e., either ms or ms-MY. That'd be twice for each URL.
The browser/ and toolkit/ files need to be translated still to make the description of language packs work right.

I found a bunch of conflicting accesskeys, so that could use a second pass.

From my point of view, this is ready for the next step, which would be getting CVS write access for Mahrazi.
Comment 16 Gervase Markham [:gerv] 2008-01-30 09:50:22 PST
Mahrazi: ping? Are you able to respond to Axel's comments in comment #15?

Comment 17 Mahrazi Mohd Kamal 2008-02-11 20:55:16 PST

It's ok with me to use ms. Please proceed with your preference. 

Thank You,
Comment 18 Gen Kanai [:gen] 2008-05-01 01:58:13 PDT
Axel, what else does the Malay team need to do?
Comment 19 Seth Bindernagel 2008-09-11 14:17:26 PDT
Hi Mahrazi, Hasbullah and the rest of the Malay Localization team: 

Thank you so much for all the work you have done toward localizing Firefox.  We are at the unique point of determining what is the best next step for the work you have done on your localization.  

Given the development and release schedule of Firefox 3.1, it is probably best for you to begin working toward localizing that release.  If that sounds good, we can help you get read for 3.1.  One place to start would be with the following documentation on working with Mercurial and getting a local environment set up on your machine.

or learn the basics about Mercurial here:

Thanks so much for your hard work.  As always, ping us with any questions, we
are ready to help.

Kind regards,
Comment 20 Philip Chee 2009-01-11 09:03:22 PST
Hey Pike or Seth.

> It's ok with me to use ms. Please proceed with your preference.

In the unlikely event that someone submits a Malay localization from Brunei (ms-BN) where the official language is also Malay what happens?

cf. <>

(/me wonders what happened to the MIMOS work on the Malay language pack)
Comment 21 Seth Bindernagel 2009-01-12 17:30:21 PST
(In reply to comment #20)
> In the unlikely event that someone submits a Malay localization from Brunei
> (ms-BN) where the official language is also Malay what happens?
> cf. <>

If this were to happen, and it has happened in the past, we do one of a few things.  Here are the two options I have seen:

1)  We ask the teams to look at each others' work, consider consolidating, and working together on Mozilla localization.  There is so much to localize in our ecosystem that the more people helping, the better.

2)  We examine the differences between the localizations and if the differences suggest that two locales should exist, we will consider that.  Spanish is one example of this.  We have es-ES and es-AR.  

Not sure if I missed something.  Axel?
Comment 22 Gen Kanai [:gen] 2009-02-09 23:54:49 PST
Malay l10n team,

Please accept our apology for not contacting you sooner.  

Has there been any l10n activity in preparation for the release of Firefox 3.1 on your side?  If there has been work that we have not seen, we would very much like to see what has been accomplished.  If there has not been any activity, please also share that information so we can then work on a new plan to generate new activity towards a Malay Firefox 3.1.

Thank you.
Comment 23 Mahrazi Mohd Kamal 2009-05-11 08:58:55 PDT
Created attachment 376725 [details]
CVS tree for ms firefox 3.5b4 (branch-1.9.1)
Comment 24 Philip Chee 2009-05-11 09:23:14 PDT
> Created an attachment (id=376725) [details]
> CVS tree for ms firefox 3.5b4 (branch-1.9.1)

Ma'af, tetapi sekarang kami guna Mercurial untuk Firefox 3.5. Are you sure you pulled from our Mercurial repository? (e.g. hg clone as detailed on
Comment 25 Philip Chee 2009-05-11 09:45:55 PDT
>> Created an attachment (id=376725)
> Are you sure you pulled from our Mercurial repository?

I've unpacked the tbz file and it's definitely Firefox 3.0 (gecko 1.9.0) from the CVS repository. If you have any questions please contact the localization team. irc://moznet/l10n is where the Firefox localization team can be contacted if you need some immediate advice.
Comment 26 Gen Kanai [:gen] 2009-05-12 01:45:16 PDT
Please note that I am speaking with the Ubuntu-my team to see if they can upstream the localization that they have done for 3.5.  This would help us get to 3.5 for Malay a lot faster than the current localization that is only part-way done for 1.9.0.
Comment 27 Syahir Hakim 2009-06-24 18:12:26 PDT
I'm interested to help complete this localization. I believe I already have the necessary software environment, and have pulled the 1.9.1 source code through Mercurial. Somebody please point me from here, e.g. where to get the latest copy of the localization file, etc.
Comment 28 Philip Chee 2009-06-24 18:35:08 PDT
Selamat pagi!

First check with Gen Kanai as he says he is looking into getting the translation done by the Ubuntu-my team for the Ubuntu version of Firefox 3.5.

I think there is a good blog article on the new localization tools at:
Also at

There is an older article on But you should ignore all references to CVS as we now have a new l10n infrastructure for Firefox 3.5.
Comment 29 Wil Clouser [:clouserw] 2009-06-25 13:44:09 PDT
Syahir Hakim has filed bug 500343 to localize AMO also.  Is there a formal owner for the ms locale yet?  I didn't see one on the L10n teams page but need an a+ from them in that bug.
Comment 30 Philip Chee 2009-06-25 21:07:36 PDT
> Is there a formal owner for the ms locale yet?
None yet.
Comment 31 Gen Kanai [:gen] 2009-06-25 21:08:49 PDT
(In reply to comment #29)
> Is there a formal owner for the ms locale yet? 

We used to have an active owner but the owner has not been active in many
months so waiting for an a+ from the owner would not be helpful here.

Axel/SethB, what do we do when a locale owner stops contributing?  How do we
delegate a new owner?

I have been in contact with Syahir Hakim and I'd like to see Syahir be given
access to start AMO l10n asap.
Comment 32 Seth Bindernagel 2009-07-01 16:59:10 PDT
(In reply to comment #31)
> Axel/SethB, what do we do when a locale owner stops contributing?  How do we
> delegate a new owner?

I don't know if we have specific policy on delegating a new owner.  I know we should try to introduce all interested parties to see if that helps re initiate activity.  I think we need to do a mapping of all the people in the ms-MY community and then try to connect all the dots. Gen, can you start that?
Comment 33 Philip Chee 2009-07-04 09:17:25 PDT
Apropos of nothing I note that MSIE8 has two Malay translations (Malaysia and Brunei Darussalam)
Comment 34 Gen Kanai [:gen] 2009-07-04 19:37:02 PDT
(In reply to comment #32)
> I think we need to do a mapping of all the people in the ms-MY
> community and then try to connect all the dots. Gen, can you start that?

Currently, I am aware of these contributors (some active, some not)

Izwan Zakaria - claims to be l10n lead for ms-MY (not clear who he is)

Hasbullah Pit - original pre-Firefox Mozilla l10n contributor

Syahrir Mat Ali (kingsnake) - original bug 286080 filer

Mahrazi Mohd Kamal - current active contributor (has provided Gecko 1.9.0 localization but not 1.9.1)

Philip Chee - developer of Flashblock; widely active Mozilla community member, although moreso in XUL/addons than l10n

Syahir Hakim - new contributor as of June 2009, AMO l10n contributor, waiting for status on 3.5.x 

Separate from these contributors, Mozilla is speaking to Mohd Fenris of the Ubuntu-my community as well as Alexander Sack of Canonical to see if we can receive the Ubuntu-my l10n files from Firefox-my so that the work does not have to be duplicated.  We are waiting for Canonical to provide a transformer which will take files from Launchpad (Canonical's platform) and transform them to  Mozilla's Mercurial system.  This will be used not only for ms-MY but for other localizations which Ubuntu has and Mozilla does not.
Comment 35 Philip Chee 2009-07-04 20:56:40 PDT
> Philip Chee - developer of Flashblock; widely active Mozilla community member,
> although moreso in XUL/addons than l10n
I'm not active in L10n at all. Mostly these days I'm a SeaMonkey developer. Although as a Malaysian obviously I have an interest in seeing a Malay translation available.
Comment 36 Seth Bindernagel 2010-04-08 10:59:04 PDT
Hi Gen and Malay community:

I am not hopeful that we will be able to upstream anything from Canoncial.  Can we all agree that it might be time to drop that idea?  I think that is best to do at this point.

In the meantime, there doesn't seem to be much progress on this bug.  We will resolve this incomplete for now just so we can manage our registration queue.  That doesn't mean that the case is closed.  If you are interested in restarting the work and need some documentation, please review this document:

Once you have made some progress, you may reopen later if you are able to move
forward.  When you reopen, please attach something like a language pack to give us code to review.  And, ask questions along the way.
Comment 37 arky [:arky] 2012-01-18 22:45:40 PST
Created attachment 589789 [details]
Needs code review

Please review the code for landing in Aurora.
Comment 38 Axel Hecht [:Pike] 2012-01-23 09:23:45 PST
Reopening, otherwise I don't see these.
Comment 39 Gordon P. Hemsley [:GPHemsley] 2012-01-23 11:00:16 PST
Malay is a complex language situation, which has actually resulted in its language code [ms] being split twice: First into a macrolanguage identifier that included "Malay" [mly] and then again into, among others, "Malay" [zml] and "Standard Malay" [zsm].

Since the 'ms' macrolanguage code includes a language that we already have a locale for (namely, Indonesian [id]), I'd recommend against using it. Likewise, 'mly' should not be used because it has been discontinued in favor of its descendants.

Now, I assume that the goal here is to localize into Standard Malay, since that has a wider audience, so I would recommend using the 'zsm' code. Also, given that it is a formal system, I would suspect that there wouldn't be significant difference among the various regions, so I would recommend against using any region specification.

It may be worth noting that there may be a lot of overlap between this locale and Indonesian, as they are very similar languages. (Unfortunately, there is a lot of politics in language, and the fuzziness of what constitutes a "language" versus a "dialect" does not help the matter.) I would recommend coordinating with the Indonesian team, as well, in order to broaden the pool of possible volunteers.
Comment 40 arky [:arky] 2012-01-24 03:49:53 PST
Created attachment 591055 [details]
Checked with compare-locales

Checked the locale with compare-locale. No errors reported. Some 'Remove this files' are not fixed. 
        // remove this file
            // remove this file
            // remove this file
              // remove this file
              // remove this file

              // remove this file
              // remove this file
            // remove this file
              // remove this file
              // remove this file

              // remove this file
            // remove this file


              // add and localize this file


            // remove this file
            // remove this file
            // remove this file
            // remove this file

            // remove this file
            // remove this file
            // remove this file
              // remove this file
              // remove this file
              // remove this file
              // remove this file

              // remove this file
              // remove this file
              // remove this file
              // remove this file
              // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
          // remove this file
          // remove this file
          // remove this file
          // remove this file
          // remove this file
          // remove this file
          // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
        // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file
            // remove this file


              // remove this file
            // remove this file
            // remove this file
            // remove this file
              // remove this file
              // remove this file
              // remove this file

              // remove this file
          // remove this file
            // remove this file
            // remove this file
missing: 37
keys: 1025
unchanged: 1645
changed: 4270
missingInFiles: 4
obsolete: 13
71% of entries changed
Comment 41 Philip Chee 2012-01-24 13:54:44 PST
> Unfortunately, there is a lot of politics in language
"Politics" with a capital "P" as well. Switching back to ms-MY since no ordinary Malaysians outside the ISO/SIRIM Standards Committees knows what zml/zsm mean, but we all know what ms-MY means.

As discussed in

"Yes, we are using the standard malay as what you said earlier and I definitely with that. But I don't see the confusion caused by using a identifier like ms unless we are creating an identity of our own. Besides that Indonesia Malay has their own identifier and Bahasa Indonesia is slightly different from ours in terms of phonetics and articulation manner. Sometimes even the semantics is different which might cause confusion among our people. I personally do not recommend a coordination with the Indonesian team but instead asking them for some advice. Moreover our translation process in Narro has reached 89% which I think it will cause a great havoc if we have to change most of the things."

"If we look at English, we have en-GB, en-US, en-ZA. We can easily identify
the English used is based on which region.
"So for our Malaysia Malay language, the best is to go with ms-MY.  It just
a way of telling user that there is a localized version in Bahasa
Malaysia.  To go with "zml" or "zsm" will only creating confusion to user.

If we look at Wikipedia explanation for Malay Language, it says the
language is spoken in few country with different dialect,  a bit similar to
English.  So, can we stick to ms-MY?"
Comment 42 Muhammad Syafiq Mazli 2012-01-24 23:56:36 PST

I'm Muhammad Syafiq Mazli ( and project manager for mozilla l10n malay. This project is started last July and continue previous project which not finish. This project is following standard Malay and using reference dictionary from Dewan Bahasa dan Pustaka (Malay for The Institute of Language and Literature) (abbreviated DBP) is the government body responsible for coordinating the use of the Malay language in Malaysia and Brunei. I hope the code won't be issue and stick for ms-MY. We are pursuing for finishing another percentage for accomplish Firefox in Bahasa Malaysia.
Thanks to Arky for mentoring our project and give support to our team.

Thank you,
Comment 43 Robert Kaiser 2012-01-25 03:57:20 PST
(In reply to Philip Chee from comment #41)
> To go with "zml" or "zsm" will only creating confusion to user.

Sorry to chime in at all but that's a non-argument. We never display the locale code to users at all, we only use a language description everywhere, so it doesn't matter if the user understands the code or not.
Comment 44 arky [:arky] 2012-01-31 08:11:35 PST
Comment on attachment 591055 [details]
Checked with compare-locales

Hey Pike, Can you do code review for this bug.
Comment 45 arky [:arky] 2012-02-23 21:48:06 PST
Pike, Please let me know if you need any further feedback on this.
Comment 46 Axel Hecht [:Pike] 2012-03-21 11:43:15 PDT
Comment on attachment 591055 [details]
Checked with compare-locales

r=me. There's a bunch of technical stuff that's mentioned on that we'll need to follow up on. After talking to Arky, I'll prepare those when landing this update, and Arky and the Malay team will take care of getting those changes back into narro.

I'll start filing a few bugs to get the infrastructure started, and some of the discussions around turning the translation into a localization.

Great to have Malay get back to speed.
Comment 47 Axel Hecht [:Pike] 2012-03-21 15:19:37 PDT
congrats to the team. I've landed the attachment minus a host of obsolete files. The landing started with removing obsolete files,, then I landed the attachment data,, and then a fixup patch with my review notes,

There's a good amount of work to be done to integrate the localization work into a shipping product on our website, that is tracked in bug 737970 and the bugs that block that. I didn't file all the bugs just yet, but we're getting our feet wet there.

Marking this bug FIXED.
Comment 48 Gordon P. Hemsley [:GPHemsley] 2012-07-13 14:03:54 PDT
Retroactively expressing my support for 'ms-MY', per CLDR replacement rules:

Note You need to log in before you can comment on or make changes to this bug.